<?php
$title = 'Реклама на FireTop.SU';
require_once ('Sys/head.php');
$colors = array('0' => 'Стандартный цвет', '3366FF' => 'Синий', '9ACD32' => 'Зеленый', 'FFD700' => 'Оранжевый', 'FF0000' => 'Красный', 'A020F0' => 'Фиолетовый');
$set = $mysqli->query("SELECT * FROM `ads_settings`")->fetch_assoc();
$cnt = $mysqli->query("SELECT COUNT(`id`) AS `cnt` FROM `ads` WHERE `pay` = '1' AND `date` >= NOW() OR `total` > 0")->fetch_assoc();
if($cnt['cnt'] >= $set['links']) {
	echo '<div class="l1">В данный момент все рекламные места заняты</div>';
	include $_SERVER['DOCUMENT_ROOT'].'/Sys/foot.php';
		exit();
}
if(isset($_POST['submit'])) {
	$error = NULL;
	if(!filter_var($_POST['url'], FILTER_VALIDATE_URL)) $error .= 'URL не валиден<br />';
	if(substr_count($_POST['name'], '|') > 3 || empty($_POST['name'])) $error .= 'Название ссылки не валидно<br />';
	if(!isset($_POST['type']) || !in_array($_POST['type'], array(1,2))) $error .= 'Не выбран тип рекламы<br />';
	if(!array_key_exists($_POST['color'], $colors)) $error .= 'Цвет не валиден<br />';
	if($_POST['type'] == 2 && (int) $_POST['days'] < 1) $error .= 'Вы не указали длительность заказа рекламы<br />';
	if($_POST['type'] == 1 && (int) $_POST['total'] < 1000) $error .= 'Заказ возможен от 1000 переходов';
	if(!$error) {
		$url = $mysqli->real_escape_string($_POST['url']);
		$name = $mysqli->real_escape_string($_POST['name']);
		$type = (int) $_POST['type'];
		$onlymob = (int) $_POST['onlymob'];
		$bold = (int) $_POST['bold'];
		$color = $mysqli->real_escape_string(strtolower($_POST['color']));
		$days = (int) $_POST['days'];
		$total = (int) $_POST['total'];
		$date = 'NOW()';
		if($type == 1) $sum = (($_POST['total'] / 1000) * $set['price']);
		if($type == 2) {
			$sum = $_POST['days'] * $set['day'];
			$date = 'DATE_ADD(NOW(), INTERVAL '.$days.' DAY)';
			}
		if($bold == 1) $sum = $sum + $set['bold'];
		if($color != 0) $sum = $sum + $set['color'];
		$sum = round($sum);
		$h = strtoupper(md5(time()));
		$mysqli->query("INSERT INTO `ads` SET `hash` = '$h', `url` = '$url', `name` = '$name', `type` = '$type', `onlymob` = '$onlymob', `bold` = '$bold', `color` = '$color', `total` = '$total', `sum` = '$sum', `date` = $date");
		echo '<div class="l1">
		Вы заказываете рекламу сайта '.htmlspecialchars($_POST['url']).'<br />
		С учетом Ваших пожеланий, сумма к оплате составляет '.$sum.'р.<br />
		После оплаты, Вам будет выдана ссылка на статистику, сохраните ее<br />
		<form method="POST" action="https://merchant.webmoney.ru/lmi/payment.asp">
		<input type="hidden" name="LMI_PAYMENT_NO" value="'.$mysqli->insert_id.'">
		<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="'.$sum.'">
		<input type="hidden" name="LMI_PAYMENT_DESC_BASE64" value="'.base64_encode('Покупка рекламы на FireTop.SU').'">
		<input type="hidden" name="LMI_PAYEE_PURSE" value="'.$set['wmr'].'">
		<input type="submit" value="Перейти к оплате">
		</form>';
		include $_SERVER['DOCUMENT_ROOT'].'/Sys/foot.php';
		exit();
	}
	else echo '<div class="l1"><span style="color: red">'.$error.'</div>';
}

if(isset($_GET['type']) && in_array($_GET['type'], array(1,2))) {
$type = (int) $_GET['type'];
echo '<div class="l1">
<form action="" method="post">
Рекламируемый URL:<br />
<input type="text" name="url" value="http://" /><br />
Название ссылок:<br />
<input type="text" name="name" /><br />
<small>можно использовать до 3-х названий, разделив их символом |</small><br />
<input type="hidden" name="type" value="'.$type.'" />';
if($type == 1) echo '
Кол-во переходов: ('.$set['price'].'р за 1000) <br />
<input type="text" name="total" /><br />
<input type="checkbox" name="onlymob" value="1" /> считать только мобильные устройства<br />';
else echo 'Кол-во суток рекламы: ('.$set['day'].'р за сутки)<br /><input type="text" name="days" /> <br />';
echo '<input type="checkbox" name="bold" value="1" /> выделить жирным  (+'.$set['bold'].'р) <br />
Выделить цветом: (+'.$set['color'].'р)<br />
<select name="color">';
foreach($colors as $key => $val) 
echo '<option value="'.$key.'">'.$val.'</option>';
echo '</select><br />
<input type="submit" name="submit" value="Посчитать" />
</form></div>';
}
else {
echo '<div class="l1">
<font color="FF0000">Внимание!!!</font>
<br /> Покупка рекламмы производиться в автоматическом режиме, через WebMoney Merchant. После оплаты рекламная ссылка сразу становиться активной! И появиться в вверхнем рекламном блоке.<br />
<b>Правила размешения рекламы:</b><br />

1) Запрещаеться называть ссылки неблагозвучными словами: Zoo, Малолетки и.т.д. В противном случае ссылка будет удалена, без возврата средств!<br />

2) Реклама для Витрин, только по согласованию с Администрацией. icq: 640441705. В противном случае ссылка будет удалена, без возврата средств!
<br />
<font color="FF0000">Выберите тип рекламы:</font><br />
<b><a href="?type=1">Я хочу рекламу по кликам</a><br />
<a href="?type=2">Я хочу рекламу по дням<br /></a></b>
</div>';
}
?>
